package tictactoe;

import javax.json.JsonObject;
import io.sockit.gameserver.CompressibleData;
import io.sockit.gameserver.Game;
import io.sockit.gameserver.Room;
import io.sockit.gameserver.RoomType;
import io.sockit.gameserver.Session;
import io.sockit.gameserver.Location;

public class TicTacToeGame extends Game{

    public TicTacToeGame() {
        super("TicTacToe", true);
    }
    

    @Override
    protected void setUpGame() {
        //add a location to the game
       this.addNewLocation("Mumbai");
       //add rooms for each location
       for(Location location: this.getLocations()){
           location.addRoom(new TicTacToeRoom(this, "Room 1", RoomType.normal, 60, 8, false));
           location.addRoom(new TicTacToeRoom(this, "Room 2", RoomType.normal, 60, 8, false));
           location.addRoom(new TicTacToeRoom(this, "Room 3", RoomType.normal, 60, 8, false));
       }
    }

    @Override
    protected Room newRoom(String roomName, RoomType roomType, int seatCount, int turnDurationInSecs, JsonObject additionalRoomConfig) {
        return new TicTacToeRoom(this, roomName, roomType, seatCount, turnDurationInSecs, false);
    }

    @Override
    protected CompressibleData newGameUserData() {
        return null;
    }


    @Override
    protected void onEnterGame(Session sn, boolean bln) {
        
    }

    @Override
    protected void onExitGame(Session sn) {
        
    }
}
